import request from '@/assets/js/utils/request'

/*
 * =======================采购员-组件评标委员会==============================
 * */

// 添加专家
export function saveOrUpdateProcurementExpertdrawOff(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/saveOrUpdateProcurementExpertdrawOff',
    method: 'post',
    data
  })
}
// 专家录入查询
export function listProcurementExpertdrawOffByExpertName(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/listProcurementExpertdrawOffByExpertName',
    method: 'post',
    data
  })
}
// 模板下载
export function downloadTemplate() {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/downloadTemplate',
    method: 'get',
    responseType: 'blob'
  })
}
// 删除专家
export function deleteProcurementExpertdrawOff(id) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/deleteProcurementExpertdrawOff?drawOffId=' + id,
    method: 'get'
  })
}
// 获取cgformId
export function getProjectDrawOffEntityId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/getProjectDrawOffEntityId?packId=' + packId,
    method: 'post'
  })
}
// 评委会生效
export function effectiveProcurementExpertdrawOff(id) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/effectiveProcurementExpertdrawOff?packId=' + id,
    method: 'get'
  })
}
// 变更评委会生效
export function effectiveProcurementExpertdrawOffForChange(id) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/effectiveProcurementExpertdrawOffForChange?packId=' + id,
    method: 'get'
  })
}
// 获取评委信息
export function getProcurementExpertdrawOffByDrawOffId(id) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/getProcurementExpertdrawOffByDrawOffId?drawOffId=' + id,
    method: 'get'
  })
}
// 导出专家
export function downProcurementExpertdrawOffList(id) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/downProcurementExpertdrawOffList?packId=' + id,
    method: 'post',
    responseType: 'blob'
  })
}
// 设置组长
export function appointProcurementExpertdrawOffLeader(packId, expertId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/appointProcurementExpertdrawOffLeader?packId=' + packId + '&&expertId=' + expertId,
    method: 'get'
  })
}
// 区分类型设置组长
export function appointProcurementExpertdrawOffOfLeader(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/appointProcurementExpertdrawOffOfLeader?packId=' + data.packId + '&expertId=' + data.expertId + '&expertLeaderType=' + data.expertLeaderType,
    method: 'post'
  })
}
// 【取消组长】
export function cancelProcurementExpertdrawOffOfLeader(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/cancelProcurementExpertdrawOffOfLeader?packId=' + data.packId + '&expertId=' + data.expertId,
    method: 'post'
  })
}
// 【需推荐候选人】
export function isRecommendCandidateOfExpertOff(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/isRecommendCandidateOfExpertOff?packId=' + data.packId + '&expertId=' + data.expertId,
    method: 'post'
  })
}
// 评委请假
export function leaveProcurementExpertdrawOffForChange(id) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/leaveProcurementExpertdrawOffForChange?drawOffId=' + id,
    method: 'get'
  })
}
// 获取数据字典
export function queryProcurementEvaluationInitInfo() {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/queryProcurementEvaluationInitInfo',
    method: 'post'
  })
}
// 重置密码
export function resetPasswordForExpertdrawOff(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/resetPasswordForExpertdrawOff',
    method: 'post',
    data
  })
}
/*
 * =======================采购员-评审管理==============================
 * */
// 指标数据字典
export function queryProcurementEvaluationProcedureInitInfo() {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/queryProcurementEvaluationProcedureInitInfo',
    method: 'post'
  })
}
// 评审管理【评标步骤退回】列表
export function listProcedureAudit(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/listProtProjectProcurementEvalManagerProcedureAudit?packId=' + packId,
    method: 'post'
  })
}
// 评审管理【评标步骤退回】办理
export function transactProcedureAudit(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/transactProcurementEvalManagerProcedureAudit?packId=' + data.packId + '&evalExpertId=' + data.evalExpertId + '&auditStatus=' + data.auditStatus + '&driverId=' + data.driverId + '&taskNo=' + data.taskNo,
    method: 'post'
  })
}
// 项目经理查询是否已完成下达指令
export function qryProtProjectProcurementEvalHallStatus(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/qryProtProjectProcurementEvalHallStatus?packId=' + packId,
    method: 'post'
  })
}
// 项目经理点击开启评标
export function unsealProtProjectProcurementEval(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/unsealProtProjectProcurementEval?packId=' + packId,
    method: 'post'
  })
}
// 查看项目经理是否已经结束评标
export function queryEvalProjectStatus(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/queryProcurementEvalProjectStatus?packId=' + packId,
    method: 'post'
  })
}
// 项目经理结束评标
export function endEvalProcedureByPackId(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/endProcurementEvalProcedureByPackId',
    method: 'post',
    data: data
  })
}
// 项目经理结束评标原因查询
export function viewEndEvalProcedureByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/viewEndProcurementEvalProcedureByPackId?packId=' + packId,
    method: 'post'
  })
}
// 项目经理确认【完成评标】
export function finishProtProjectProcurementEndEvalHall(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/finishProtProjectProcurementEndEvalHall?packId=' + packId,
    method: 'post'
  })
}
// 项目经理定时查询是否需要刷新
export function timingQryProtProjectManagerReload(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/timingQryProtProjectManagerReload?packId=' + packId,
    method: 'post'
  })
}
// 项目经理评审管理查看评审步骤
export function listEvalProcedureByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/listProtProjectProcurementEvalProcedureByPackId?packId=' + packId,
    method: 'post'
  })
}
// 项目经理初步、商务技术页面返回评委信息
export function listProcurementEvalExpertInfo(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/listProcurementEvalExpertInfo?packId=' + data.packId + '&taskNo=' + data.taskNo,
    method: 'post'
  })
}
// 项目经理查看签到信息
export function viewEvalSigninByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/viewProcurementEvalSigninByPackId?packId=' + packId,
    method: 'post'
  })
}
// 项目经理废标页面
export function procurementAbandonVotesInfo(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/procurementAbandonVotesInfo?packId=' + data.packId,
    method: 'post'
  })
}
// 项目经理评审指标生效
export function effectiveProcurementEvalFactorByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/effectiveProcurementEvalFactorByPackId?packId=' + packId,
    method: 'post'
  })
}
// 查询采购员是否可以变更专家、修改指标数据
export function qryProtProjectProcurementIsChangeStatus(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/qryProtProjectProcurementIsChangeStatus?packId=' + packId,
    method: 'post'
  })
}
// 获取专家信息列表
export function listExpertdrawOffByPackId(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/listProcurementExpertdrawOffByPackId',
    method: 'post',
    data
  })
}
// 获取专家【此处获取的专家是抽取的专家】,返回值(01-已获取到专家, 02-未进行抽取申请)
export function getExtractExperts(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpertDrawOff/getExtractExperts',
    method: 'post',
    data
  })
}
// 确认成交人
export function confirmWinningResultSupplier(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/confirmWinningResultSupplier',
    method: 'post',
    data
  })
}
// 项目经理【开启视频会议】
export function openFSMeetingRoomByManager(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectFSMeeting/openFSMeetingRoomByManager?packId=' + packId,
    method: 'post'
  })
}

/*
 * =======================专家-专家评审==============================
 * */
// 查询采购员是否录入过评审指标
export function qryProcurementEvalFactorEnteringStatusByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/qryProcurementEvalFactorEnteringStatusByPackId?packId=' + packId,
    method: 'post'
  })
}
// 获取评标室页面数据
export function queryProtProjectProcurementEvaluationInfo(pageNo, pageSize, evalIsReviewed, queryCondition) {
  return request({
    url: `/bidprocurement/procurement-evaluation/procurementEvalProcedure/queryProtProjectProcurementEvaluationInfo?pageNo=${pageNo}&&pageSize=${pageSize}&&evalIsReviewed=${evalIsReviewed}&&queryCondition=${queryCondition}`,
    method: 'post'
  })
}

// 获取评标室待评审项目数,返回待评审项目数量
export function queryProtProjectProcurementPendingNum() {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/queryProtProjectProcurementPendingNum',
    method: 'post'
  })
}
// 评委签到，获取供应商报名信息
export function listProcurementSignUpByPackId(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/listProcurementSignUpByPackId?packId=' + data.packId + '&pageNo=' + data.pageNo + '&pageSize=' + data.pageSize,
    method: 'post'
  })
}
// 获取推荐组长列表
export function listProtProjectProcurementEvalExpert(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/listProtProjectProcurementEvalExpert?packId=' + packId,
    method: 'post'
  })
}
// 需要调用返回其是否为组长,评委是否有回避操作
export function checkoutIsEvalLeaderInfo(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/checkoutIsEvalLeaderInfo?packId=' + packId,
    method: 'post'
  })
}
// 保存评委的签到信息
export function saveProtProjectProcurementEvalExpertSignIn(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/saveProtProjectProcurementEvalExpertSignIn',
    method: 'post',
    data
  })
}
// 是否专家签到【全部完成签到】
export function qryEvalExpertFinishSigninAllByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/qryEvalExpertFinishSigninAllByPackId?packId=' + packId,
    method: 'post'
  })
}
// 推荐组长
export function appointProtProjectProcurementEvalExpertLeader(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/appointProtProjectProcurementEvalExpertLeader?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule + '&voteEvalExpertId=' + data.voteEvalExpertId,
    method: 'post'
  })
}
// 非组长需要先判定评标大厅是否已开启，需要调用该方法
export function checkoutEvalHallStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/checkoutEvalHallStatus?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 进入评标室后，需要获取评委评审驱动
export function listProtProjectProcurementEvalDriverByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalDriver/listProtProjectProcurementEvalDriverByPackId?packId=' + packId,
    method: 'post'
  })
}
// 更新评委驱动进入状态
export function updateProtProjectProcedureDriverTaskStatus(driverId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalDriver/updateProtProjectProcedureDriverTaskStatus?driverId=' + driverId,
    method: 'post'
  })
}
// 定时查询当前驱动节点提示信息
export function timingQryProtProjectDriverPackAlertTip(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalDriver/timingQryProtProjectDriverPackAlertTip?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 返回是否已推选出组长
export function checkoutIsElectedLeader(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/checkoutIsElectedLeader?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 查询评委、供应商完成数量
export function queryProgressCase(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/queryProtProjectProcurementProgressCase?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 获取符合性评审未完成状态数据
export function queryComplianceReview(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/queryProtProjectProcurementComplianceReview?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 符合性、商务技术评审页面（提交评审结果）
export function saveComplianceReview(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/saveProtProjectProcurementComplianceReview',
    method: 'post',
    data
  })
}
// 符合性、商务技术评审页面【保存评审结果】
export function saveComplianceReviewKeep(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/saveTempProtProjectProcurementComplianceReview',
    method: 'post',
    data
  })
}
// 获取符合性评审完成状态数据
export function showComplianceReview(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/showProtProjectProcurementComplianceReview?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 点击驱动后是查看操作还是编辑操作
export function checkoutIsAftOperate(driverId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalDriver/checkoutIsAftOperate?driverId=' + driverId,
    method: 'post'
  })
}
// 专家评审结果汇总
export function expertEvalResultSummary(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/expertEvalResultSummary',
    method: 'post',
    data
  })
}
// 价格评审页面（未完成）
export function queryPriceReview(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/queryProtProjectProcurementPriceReview',
    method: 'post',
    data
  })
}
// 计算价格评审基准价、评审得分
export function reckonProtProjectProcurementPriceReview(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/reckonProtProjectProcurementPriceReview',
    method: 'post',
    data
  })
}
// 保存指标评审结果(价格评)
export function savePriceReview(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/saveProtProjectProcurementPriceReview',
    method: 'post',
    data
  })
}
// 价格评审结果展示
export function showPriceReview(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/showProtProjectProcurementPriceReview?packId=' + data.packId + '&taskNo=' + data.taskNo,
    method: 'post'
  })
}
// 非组长更新价格评审驱动
export function dealPriceReviewDriver(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/dealProcurementPriceReviewDriver',
    method: 'post',
    data
  })
}
// 推荐中标候选人列表展示
export function listRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/listProtProjectProcurementRecommendCandidate',
    method: 'post',
    data
  })
}
// 有效最低价推荐中标候选人编辑
export function listMinRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/listProtProjectProcurementMinRecommendCandidate',
    method: 'post',
    data
  })
}
// 性价比最低价推荐中标候选人编辑
export function listPerformanceRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/listProtProjectProcurementPerformanceRecommendCandidate',
    method: 'post',
    data
  })
}
// 有效最低价推荐中标候选人查看
export function showMinRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/showProtProjectProcurementMinRecommendCandidate',
    method: 'post',
    data
  })
}
// 性价比推荐中标候选人查看
export function showPerformanceRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/showProtProjectProcurementPerformanceRecommendCandidate',
    method: 'post',
    data
  })
}
// 有效最低价保存中标候选人
export function saveMinRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/saveProtProjectProcurementMinRecommendCandidate',
    method: 'post',
    data
  })
}
// 性价比保存中标候选人
export function savePerformanceRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/saveProtProjectProcurementPerformanceRecommendCandidate',
    method: 'post',
    data
  })
}
// 专家推荐中标候选人(保存)
export function saveRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/saveProtProjectProcurementRecommendCandidate',
    method: 'post',
    data
  })
}
// 中标候选人列表展示（完成）
export function showRecommendCandidate(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/showProtProjectProcurementRecommendCandidate?packId=' + data.packId + '&taskNo=' + data.taskNo,
    method: 'post'
  })
}
// 组长发起废标操作
export function sponsorAbandonOperation(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalException/sponsorAbandonOperation',
    method: 'post',
    data
  })
}
// 评委参与废标投票
export function partakeAbandonVotes(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalException/partakeAbandonVotes?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule + '&isAgreeAbandon=' + data.isAgreeAbandon,
    method: 'post'
  })
}
// 评委查看废标原因、投票情况
export function queryProcurementAbandonStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalException/queryProcurementAbandonStatus?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 是否已废标
export function abandonVotesStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalException/abandonVotesStatus?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
// 评审报表UUID值即文件上传的业务主键id
export function getEvalReportUUid(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/getEvalReportUUid?packId=' + packId,
    method: 'post'
  })
}
// 重新上传前删除文件
export function delReportFileByID(uuid) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/delReportFileByID?uuid=' + uuid,
    method: 'post'
  })
}
// 专家上传评审报告
export function uploadEvalInform(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/uploadEvalInform',
    method: 'post',
    data
  })
}
// 重评本步骤
export function reevaluationProcedureApply(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/reevaluationProcedureApply?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&reevaluationReason=' + data.reevaluationReason,
    method: 'post'
  })
}
// 评委重评本步骤状态值 返回 true 可以重评本步骤,false
export function ProcurementEvalManagerProcedureAuditStatus(params) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/ProcurementEvalManagerProcedureAuditStatus',
    params,
    method: 'post'
  })
}

// 专家加入视频会议
export function comeintoFSMeetingRoomByExpert(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectFSMeeting/comeintoFSMeetingRoomByExpert?packId=' + packId,
    method: 'post'
  })
}
// HTML转pdf文件，并上传
export function procurementReportContentToPDF(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/procurementReportContentToPDF',
    method: 'post',
    data
  })
}
// 导出评标报告
export function exportProtProjectProcedureExpertEvalReportFile(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/exportProtProjectProcedureExpertEvalReportFile?packId=' + packId,
    method: 'post',
    responseType: 'blob'
  })
}
// 评委进入评标室【是否首次进入】
export function checkoutIsFirstEnterEvalHall(evalExpertId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpert/checkoutIsFirstEnterEvalHall?evalExpertId=' + evalExpertId,
    method: 'post'
  })
}
// 评委退出评标室
export function logoutEvalHall(evalExpertId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementExpert/logoutEvalHall?evalExpertId=' + evalExpertId,
    method: 'post'
  })
}
// 去评审报表页面，查询是否已上传WORD文档。是否已转成PDF签章
export function qryProcurementEvalReportUploadStatus(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/qryProcurementEvalReportUploadStatus?packId=' + packId,
    method: 'post'
  })
}
// 查询评委签章文件信息列表
export function qryExchangeEvalReportSignatureListInfo(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/qryExchangeEvalReportSignatureListInfo?packId=' + data.packId + '&evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&evalRule=' + data.evalRule,
    method: 'post'
  })
}
/*
 * =======================采购-评委评审步骤 start==============================
 * */
// 查看推荐中标供应商列表
export function listEvalResultSupplierPages(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/listEvalResultSupplierPages',
    method: 'post',
    data
  })
}
/*
 * =======================扫码签章==============================
 * */
//  获取印章图片列表
export function getSealImageListInfo() {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/getSealImageListInfo',
    method: 'get'
  })
}
//  获取签章的二维码
export function getSignatureQRCodeContent(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/getSignatureQRCodeContent',
    method: 'post',
    async: false,
    data
  })
}
//  生成二维码
export function encodeQrcode(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/encodeQrcode?content=' + data,
    method: 'get',
    async: false,
    responseType: 'blob'
  })
}
//  检查二维码是否已扫描
export function getQRCodeIsScaned(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/getQRCodeIsScaned',
    method: 'post',
    async: false,
    data
  })
}
//  获取用户二维码
// export function getUserQRCodeContent() {
//   return request({
//     url: '/bidprocurement/common-user/user/userApp/getUserQRCodeContent',
//     method: 'get',
//     async: false
//   })
// } // bidprocurement/procurement-evaluation/procurementEvalSignature/getUserQRCodeContent
export function getUserQRCodeContent(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/getUserQRCodeContent?QRCode=' + data,
    method: 'post',
    async: false
  })
}
//  是否绑定扫码APP,获取用户信息，否（用户登录首次推送
export function judgeBindingScanCodeToken(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/judgeBindingScanCodeToken?tid=' + data,
    method: 'get',
    async: false
  })
}
// 获取签名值
export function getSignatureValueSealPDF(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/getSignatureValueSealPDF',
    method: 'post',
    async: false,
    data
  })
}
// 完成签章
export function endProtProjectProcedureSignature(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/endProtProjectProcedureSignature?evalExpertId=' + data.evalExpertId + '&driverId=' + data.driverId + '&packId=' + data.packId + '&evalRule=' + data.evalRule,
    method: 'post',
    data
  })
}
// 邀请供应商按钮 首先判断项目经理【是否已开启视频会议系统】
export function qryManagerOpenFSMeetingRoomStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectFSMeeting/QryManagerOpenFSMeetingRoomStatus?packId=' + data.packId,
    method: 'post',
    data
  })
}
// 项目经理【查看报表、纪要列表】
export function listProtProjectProcurementManagerEvalReport(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/listProtProjectProcurementManagerEvalReport?packId=' + data.packId + '&taskNo=' + data.taskNo,
    method: 'post',
    data
  })
}
// 项目经理 评审报表UUID值即文件上传的业务主键id
export function getEvalReportUUidManager(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/getEvalReportUUid?packId=' + data.packId,
    method: 'post'
  })
}
// 项目经理【上传评审报告】
export function uploadEvalInformManager(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/uploadEvalInform?packId=' + data.packId + '&id=' + data.id + '&stageId=' + data.stageId + '&taskNo=' + data.taskNo,
    method: 'post',
    data
  })
}
// 给专家、供应商流转签章
export function exchangeEvalReportToExpertOrSupplier(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/exchangeEvalReportToExpertOrSupplier',
    method: 'post',
    data
  })
}

// 【签章中】查看签章情况
export function qryExchangeEvalReportSignatureListInfoManager(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/qryExchangeEvalReportSignatureListInfo?reportId=' + data.reportId,
    method: 'post',
    data
  })
}
// 删除 【待流转、签章中】
export function delExchangeEvalReportSignature(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/delExchangeEvalReportSignature?reportId=' + data.reportId,
    method: 'post',
    data
  })
}
// 多轮次页面【查看
export function queryProtProjectProcurementStageOfferList(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/queryProtProjectProcurementStageOfferList?packId=' + data.packId,
    method: 'post',
    data
  })
}
// 评委专家完成签章更正【签章人数、签章状态】
export function endEvalExpertSignatureReportStatus(reportDetailId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSignature/endEvalExpertSignatureReportStatus?reportDetailId=' + reportDetailId,
    method: 'post'
  })
}

// 查询供应商评委签章文件信息列表
export function getSupplierBySignatureReportByPackId(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSupplierSigntureReport/getSupplierBySignatureReportByPackId?packId=' + data.packId + '&supplierId=' + data.supplierId,
    method: 'post'
  })
}
// 采购结果页面查询评标完成状态
export function qryEvalProjectFinishStatusType(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalException/qryEvalProjectFinishStatusType?packId=' + packId,
    method: 'post'
  })
}
// 项目经理中选结果页面查看评审报表
export function qryProcurementEvalReportList(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/qryProcurementEvalReportList?packId=' + packId,
    method: 'post'
  })
}
// ========评审多伦报价新增 开启新轮次=======
// 项目经理点击【开启新轮次报价】
export function openningNewRoundsByOfferStageId(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/openningNewRoundsByOfferStageId?packId=' + data.packId + '&offerStageId=' + data.offerStageId + '&nextQuoteEndTime=' + data.nextQuoteEndTime + '&nextIsLast=' + data.nextIsLast + '&nextWinningSuppliers=' + data.nextWinningSuppliers + '&fileType=' + data.fileType,
    method: 'post',
    data
  })
}
//  项目经理、评委查看【供应商已否决原因】
export function viewNegativeStageSupplierInfo(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/viewNegativeStageSupplierInfo?packId=' + data.packId + '&stageId=' + data.stageId + '&supplierId=' + data.supplierId + '&supplierName=' + data.supplierName,
    method: 'post',
    data
  })
}
// 项目经理页面显示【开启详细评审】查询接口状态
export function queryOpenDetailEvalDictateStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/queryOpenDetailEvalDictateStatus?packId=' + data.packId,
    method: 'post',
    data
  })
}// 项目经理开启详细评审
export function openDetailEvalDictateByManager(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/openDetailEvalDictateByManager?packId=' + data.packId,
    method: 'post',
    data
  })
}
//  多轮次页面【否决】
export function protProjectProcurementStageSupplierNegative(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/protProjectProcurementStageSupplierNegative?evalExpertId=' + data.evalExpertId + '&negativeReason=' + data.negativeReason + '&packId=' + data.packId + '&stageId=' + data.stageId + '&supplierId=' + data.supplierId + '&supplierName=' + data.supplierName,
    method: 'post',
    data
  })
}
// 线上评审办法查询开始评标状态
export function qryOnLineEvalRuleProjectEvalStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/qryOnLineEvalRuleProjectEvalStatus',
    method: 'post',
    params: data
  })
}
// 供应商点击签章提示信息
export function qrySupplierSignatureReportStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalSupplierSigntureReport/qrySupplierSignatureReportStatus',
    method: 'post',
    params: data
  })
}
// 评委点击签章提示信息
export function qryEvalExpertSignatureReportStatus(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalResult/qryEvalExpertSignatureReportStatus',
    method: 'post',
    params: data
  })
}
// 字典查询
export function queryProcurementEvaluationManagerDataInitInfo(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/queryProcurementEvaluationManagerDataInitInfo',
    method: 'post',
    params: data
  })
}
// 综合评估法导出评审报告
export function generateProcurementReportContentToWord(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/generateProcurementReportContentToWord',
    method: 'post',
    params: data,
    responseType: 'blob'

  })
}
// 评审报告
export function reviewReport(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/projectProcurementEvaluationReportExportController/reviewReport',
    method: 'post',
    params: data,
    responseType: 'blob'

  })
}
// 获取word评审报告html
export function getProcurementReportHtmlContent(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/getProcurementReportHtmlContent',
    method: 'post',
    params: data
  })
}
// 转换为pdf保存
export function convertToPdf(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/convertToPdf',
    method: 'post',
    params: data
  })
}
// 保存评审报告html生成word,json中的htmlContent值需要base64加密
export function saveProcurementReportHtmlContent(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementProjectManager/saveProcurementReportHtmlContent',
    method: 'post',
    data
  })
}
// 申请下载报价文件
export function applyDownloadProcedureBidFile(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/applyDownloadProcedureBidFile?packId=' + packId,
    method: 'post'
  })
}
// 下载报价文件接口
export function qryProtProjectProcedureBidFileInfo(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalDownloadFile/qryProtProjectProcedureBidFileInfo?packId=' + packId,
    method: 'post'
  })
}
// 申请下载采购文件
export function applyDownloadProcedureTenderFile(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalProcedure/applyDownloadProcedureTenderFile?packId=' + packId,
    method: 'post'
  })
}
// 下载采购文件
export function qryProtProjectProcedureFileInfo(packId) {
  return request({
    url: '/bidprocurement/procurement-evaluation/procurementEvalDownloadFile/qryProtProjectProcedureFileInfo?packId=' + packId,
    method: 'post'
  })
}
/* 采购-专家列表*/
export function getAllExpertsList(data) {
  return request({
    url: '/bidprocurement/procurement-evaluation//procurementExpert/getAllExpertsList',
    method: 'post',
    data
  })
}
